> For the complete documentation index, see [llms.txt](https://docs.digiledge.in/untitled/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/close-complaint.md).

# Close Complaint

<mark style="color:blue;">**API for closing raised complaint.**</mark>

**Complaint can be closed only if the complaint status are the following COMPLAINT\_OPEN\_SUCCESS COMPLAINT\_REOPEN\_SUCCESS COMPLAINT\_CLOSURE\_REQUEST\_FAILED COMPLAINT\_CLOSURE\_REQUEST\_SUCCESS**

| Endpoint                                                                       |
| ------------------------------------------------------------------------------ |
| **Request:** *<mark style="color:blue;">**/couapp/complaints/closure**</mark>* |

<mark style="color:blue;">**Request Parameters**</mark>

***The various parameters are explained below:***

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type    | Description                       |
| -------------------------------------- | --------------------- | --------- | ------------ | --------------------------------- |
| \[ROOT] (No parent property / element) | tenantId              | M         | Alphanumeric | Fixed Length – 4                  |
|                                        | complaintDescr        | M         | Alphanumeric | Description for closing complaint |
|                                        | complaintId           | M         | UUID         | Complaint UUID                    |

<mark style="color:blue;">**Response Parameters**</mark>

***The various parameters are explained below:***

| Parent Property/Element | Property/Element Name | Mandatory | Data Type | Description                                                        |
| ----------------------- | --------------------- | --------- | --------- | ------------------------------------------------------------------ |
| complaints              | complaintId           | M         | UUID      | Id for the complaint disposion                                     |
|                         | complaintDescr        | M         | String    | Complaint description                                              |
|                         | complaintDispos       | M         | String    | Complaint disposition                                              |
|                         | complaintType         | M         | String    | Type of the complaint                                              |
|                         | txnId                 | M         | String    | Transaction id for which the complaint is raised agains            |
|                         | complaintStatus       | M         | String    | Complaint Status from NPCI                                         |
|                         | assignedTo            | M         | String    | To Whom the complaint is assigned                                  |
|                         | complaintNpciId       | M         | String    | Npci id of the complaint                                           |
|                         | complaintRaisedFrom   | M         | String    | Who raised the complaint                                           |
|                         | userId                | M         | String    | User id of the one who raised the complaint                        |
|                         | status                | M         | String    | Status of the complaint                                            |
|                         | refId                 | M         | String    | Reference id                                                       |
|                         | estimated\_TAT        | M         | String    |                                                                    |
|                         | creationDate          | M         | String    | ISO 8601 Timestamp for the Complaint Creation date                 |
|                         | modifiedDate          | M         | String    | ISO 8601 Timestamp for the Complaint Modification date             |
|                         | billerName            | M         | String    | Biller Name                                                        |
|                         | txnAmount             | M         | String    | Txn Amount                                                         |
|                         | superLevelEsc         | M         | String    | Super Escalation (True/False)                                      |
|                         | openComplaint         | M         | String    | Flag indicating whether complaint is already open or not (Y/N)     |
|                         | reopenComplaint       | M         | String    | Flag indicating whether complaint is already reopened or not (Y/N) |
|                         | remarks               | M         | String    | Remarks                                                            |
|                         | agentId               | M         | String    | Agent ID                                                           |
|                         | category              | M         | String    | Category of the biller                                             |
|                         | createdEpochDate      | M         | Numeric   | UNIX Epoch Timestamp for the Complaint Creation date               |
|                         | modifiedEpochDate     | M         | Numeric   | UNIX Epoch Timestamp for the Complaint Modification date           |
| generalResp             | statusCode            | M         | Numeric   | 200- SUCCESS Other than 200-Failure                                |
|                         | status                | M         | String    | It is either “Success” or failure                                  |
|                         | message               | M         | String    | Contains the reason message for failure / success                  |

#### *<mark style="color:blue;">**Json Formatted Request Example**</mark>*

```json
{
"complaintDescr" : "Closing complaint Issue resolved", "complaintId" : "809ec4c7-d81b-4d2b-9c66-3011a6fae714", "tenantId" : "FE41"
}
```

#### *<mark style="color:blue;">**Json Formatted Response Example**</mark>*

```json
{
"complaints": {
"complaintDescr": "Closing complaint Issue resolved",
"complaintDispos": "Transaction Successful, account not updated", 
"complaintId": "809ec4c7-d81b-4d2b-9c66-3011a6fae714", 
"complaintNpciId": "FE4123109776644",
"complaintRaisedFrom": "agent", 
"complaintType": "npciComplaint", 
"createdEpochDate": 1681893776, 
"creationDate": "2023-04-19T14:12:56.329935Z", 
"modifiedDate": "2023-04-19T14:13:32.25255Z",
"modifiedEpochDate": 1681893812,
"refId": "hHfEKYZExIpxNEV65HMQZ2Lh0DA31091413", 
"status": " COMPLAINT_CLOSURE_REQUEST_SUCCESS ",
"tenantId": "FE41",
"txnId": "155a4a71-141f-40fd-b772-9d0e020963e8", 
"txnNpciId": "FE413045Hl3L90ZWg59o",
"userId": "FE41FE42BNK519012345", 
"agentId": "FE41FE42BNK519012345"
},
"generalResp": {
"message": "Complaint closure requested", 
"remarks": "",
"status": "success", 
"statusCode": "200"
}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/close-complaint.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
